////// Fragment Shader
precision highp float;
varying highp vec2 textureCoordinate;
varying highp vec2 textureCoordinate2;

uniform sampler2D inputImageTexture;
uniform sampler2D inputImageTexture2;

void main()
{
    lowp vec4 base = texture2D(inputImageTexture, textureCoordinate);
    lowp vec4 overlay = texture2D(inputImageTexture2, textureCoordinate2);
    if (overlay.a > 0.0){
        gl_FragColor = vec4(1.0-base.r, 1.0-base.g, 1.0-base.b, overlay.a);
    } else {
        gl_FragColor = vec4(0.0, 0.0, 0.0, 0.0);
    }


}